/*************************************************/
/*************** All Convertions *****************/
/*************************************************/

#include <avr/io.h>

/******* 32 Byte unsigned Integer ****************/

struct uint256_t
{
	uint64_t part[4];
};

/******* 32 Byte unsigned Integer ****************/

struct uint128_t
{
	uint64_t part[2];
};

/******* 3 Byte unsigned Integer ****************/

struct uint24_t
{
	uint8_t part[3];
};

/******* Switchregister to uint48_t **************/
/* Converts a 6 byte array into a 6 byte Integer */

union 
{
	long long int u48i;
	unsigned char c[6];
}Switchregconvert;

/******* Addressbyte to uint32 *******************/
/* Converts a 4 byte array into a 4 byte Integer */

union 
{
	uint32_t u32i;
	unsigned char c[4];
}Addressconvert;

/******* Payloadbyte to uint256 ********************/
/* Converts a 32 byte array into a 32 byte Integer */

union 
{
	struct uint256_t u256i;
	unsigned char c[32];
}Payloadconvert;

/******* RGB to uint32_t ***************************/
/* Converts a 4 byte array into a 4 byte Integer ***/

union 
{
	uint32_t u32i;
	unsigned char c[4];
}RGBconvert;

/******* EEPROMDATA to uint128_t ***************************/
/* Converts a 16 byte array into a 16 byte Integer ***/

union 
{
	struct uint128_t u128i;
	unsigned char c[16];
}EEPROMconvert;
