/**************************************/
/********* EEPROM DUMMY DATA **********/
/**************************************/

#include <stdint.h>
#include "Converter.h"

volatile unsigned char RelayAddress[4][4];
volatile unsigned char GateAddress[4];
volatile unsigned char RemoteAddress[40][4];
volatile unsigned char RelayPWM[4][1];
volatile long long int Switch1 = 0x000000000000;
volatile long long int Switch2 = 0xc00000000000;
volatile long long int Switch3 = 0x110000000000;
volatile long long int Switch4 = 0x000000000000;
volatile uint8_t RFSendPower = 0x0E;
volatile uint8_t SensingTime = 0x41;
volatile uint8_t SendRetry = 0x04;
volatile uint8_t RFChannel;

void EEPROM_Init()
{
	// Address Relay1
	RelayAddress[0][0] = 0xA1;
	RelayAddress[0][1] = 0xB2;
	RelayAddress[0][2] = 0xC3;
	RelayAddress[0][3] = 0xD4;

	// Address Relay2
	RelayAddress[1][0] = 0xA1;
	RelayAddress[1][1] = 0xB2;
	RelayAddress[1][2] = 0xC3;
	RelayAddress[1][3] = 0xD5;

	// Address Relay3
	RelayAddress[2][0] = 0xA1;
	RelayAddress[2][1] = 0xB2;
	RelayAddress[2][2] = 0xC3;
	RelayAddress[2][3] = 0xD6;

	// Address Relay4
	RelayAddress[3][0] = 0xA1;
	RelayAddress[3][1] = 0xB2;
	RelayAddress[3][2] = 0xC3;
	RelayAddress[3][3] = 0xD7;

	// Address Gate
	GateAddress[0] = 0xE6;
	GateAddress[1] = 0xE6;
	GateAddress[2] = 0xE6;
	GateAddress[3] = 0xE6;

	// Relay1 PWM
	RelayPWM[0][0] = 0xA0;

	// Relay2 PWM
	RelayPWM[1][0] = 0xA0;

	// Relay3 PWM
	RelayPWM[2][0] = 0xA0;

	// Relay4 PWM
	RelayPWM[3][0] = 0xA0;

	// Remote Addresses
	// Remote Relay 1
	RemoteAddress[0][0] = 0xA1;
	RemoteAddress[0][1] = 0xB2;
	RemoteAddress[0][2] = 0xC3;
	RemoteAddress[0][3] = 0xE4;

	RemoteAddress[0][0] = 0xA1;
	RemoteAddress[0][1] = 0xB2;
	RemoteAddress[0][2] = 0xC3;
	RemoteAddress[0][3] = 0xE5;

	RemoteAddress[0][0] = 0xA1;
	RemoteAddress[0][1] = 0xB2;
	RemoteAddress[0][2] = 0xC3;
	RemoteAddress[0][3] = 0xE6;

	RemoteAddress[0][0] = 0xA1;
	RemoteAddress[0][1] = 0xB2;
	RemoteAddress[0][2] = 0xC3;
	RemoteAddress[0][3] = 0xE7;
}
