/**************************************/
/****** PWM ***************************/
/**************************************/

#include <stdint.h>
#include <avr/io.h>
#include <util/delay.h>
#include "PWM_Dec_ATmega164P.h"

/**** for ATmega32 ********************/

/**** OC0A/B ****************************/
// at the Moment not programmed

/**** OC1A/B ****************************/

void OC1A_B_PWM_Init(void)
{
	OC1B_PWM_DDR |= (1<< OC1B_PWM);
	OC1A_PWM_DDR |= (1<< OC1A_PWM);

	TCCR1A |= (1<<COM1A1) | (1<<COM1B1) | (1<<WGM10);
	TCCR1B |= (1<<CS10) | (1<<WGM12);
}

void OC1A_PWM_OFF(void)
{
	OCR1AH = 0x00;
	OCR1AL = 0x00;
}

void OC1A_PWM_Static(void)
{
	OCR1AH = 0x00;
	OCR1AL = 0xFF;
}

void OC1A_PWM_ON_8bit(uint8_t OCRValue)
{
	OCR1AH = 0x00;
	OCR1AL = OCRValue;
}

void OC1B_PWM_OFF(void)
{
	OCR1BH = 0x00;
	OCR1BL = 0x00;
}

void OC1B_PWM_Static(void)
{
	OCR1BH = 0x00;
	OCR1BL = 0xFF;
}

void OC1B_PWM_ON_8bit(uint8_t OCRValue)
{
	OCR1BH = 0x00;
	OCR1BL = OCRValue;
}

/**** OC2 ****************************/

void OC2A_B_PWM_Init(void)
{
	TCCR2A |= (1<<COM2A1) | (1<<COM2B1) | (1<<WGM21) | (1<<WGM20);
	TCCR2B |= (1<<CS20);
}

void OC2A_PWM_OFF(void)
{
	OC2A_PWM_DDR &= ~(1<< OC2A_PWM);				// turns the OC2A Pin Off
	OC2A_PWM_PORT &= ~(1<< OC2A_PWM);
	OCR2A = 0x00;
}

void OC2A_PWM_Static(void)
{
	OC2A_PWM_DDR |= (1<< OC2A_PWM);
	OCR2A = 0xFF;
}

void OC2A_PWM_ON(uint8_t OCRValue)
{
	OC2A_PWM_DDR |= (1<< OC2A_PWM);
	OCR2A = OCRValue;
}

void OC2B_PWM_OFF(void)
{
	OC2B_PWM_DDR &= ~(1<< OC2B_PWM);				// truns the OC2B Pin Off
	OC2B_PWM_PORT &= ~(1<< OC2B_PWM);
	OCR2B = 0x00;
}

void OC2B_PWM_Static(void)
{
	OC2B_PWM_DDR |= (1<< OC2B_PWM);
	OCR2B = 0xFF;
}

void OC2B_PWM_ON(uint8_t OCRValue)
{
	OC2B_PWM_DDR |= (1<< OC2B_PWM);
	OCR2B = OCRValue;
}
