/***********************************/
/**** Software SPI Declaration *****/
/***********************************/

#include <avr/io.h>

/***** Pin Definitions *************/
/***** Depends on the AVR **********/

#define SMISO 		PB6
#define SMOSI		PB5
#define SSCK		PB7
#define SCSN		PB1

#define SMOSI_PORT 	PORTB
#define SMOSI_DDR	DDRB

#define SSCK_PORT	PORTB
#define SSCK_DDR	DDRB

#define SCSN_PORT	PORTB
#define SCSN_DDR	DDRB

#define SMISO_PORT	PORTB
#define SMISO_DDR	PORTB
#define SMISO_PIN	PINB

/***** Define short commands ****************/

#define SCSN_Lo SCSN_PORT &= ~(1<<SCSN);
#define SCSN_Hi SCSN_PORT |= (1<<SCSN);

#define SSCK_Lo SSCK_PORT &= ~(1<<SSCK);
#define SSCK_Hi SSCK_PORT |= (1<<SSCK);

#define Set_SMOSI	SMOSI_PORT |= (1<<SMOSI);
#define Clear_SMOSI	SMOSI_PORT &= ~(1<<SMOSI);

/***** Funktions *******************/

void SSPI_Init(void);
void SSPI_Write_byte(uint8_t);
uint8_t SSPI_Read_byte(uint8_t);
