/************************************/
/******** USART *********************/
/************************************/

#define BAUD 4800
#include <util/setbaud.h>
#include "USART_Dec.h"


/******** USART Init ****************/
void USART_Init(void)
{
    UBRR0H = UBRR_VALUE >> 8;
    UBRR0L = UBRR_VALUE & 0xFF;
 
    UCSR0C = (1<<UCSZ01)|(1<<UCSZ00);  				// Asynchron 8N1 
    UCSR0B |= (1<<RXEN0);                        	// Enable UART RX
	UCSR0B |= (1<<TXEN0);							// Enable UART TX
	UCSR0B |= (1<<RXCIE0);							// Enable Interrupt
}

/******* USART Send Character *******/

void USART_Send(unsigned char c)
{
	while(!(UCSR0A & (1<<UDRE0))) {}				// Wait for empty SendBuffer

	UDR0 = c;
}

/******* USART Receive Character ****/

uint8_t USART_Receive(void)
{
    while (!(UCSR0A & (1<<RXC0)));   				// Wait for full ReceiveBuffer

    return UDR0;                    
}
